## sugar-toolkit-gtk3 0.117-1+9.0trisquel1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/SugarToolkitGTK3.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/SugarToolkitGTK3.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/SugarToolkitGTK3"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/SugarToolkitGTK3"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## sugar-toolkit-gtk3 0.96.1

=== debian/changelog ===
sugar-toolkit-gtk3 (0.96.1-2) unstable; urgency=low

  * Update package relations:
    + Fix build-depend on python-gtk2-dev.
      Closes: bug#674970. Thanks to Aaron M. Ucko.
    + Fix have python-sugar3 depend on imported GIR bindings.
    + Build-depend on dh-buildinfo: Works with multiarch now.
    + Relax libsugarext0 to recommend (not depend on) libsugarext-data.
  * Improve libsugarext-data long description to clarify it contains
    translations.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 29 May 2012 10:47:01 +0200

sugar-toolkit-gtk3 (0.96.1-1) unstable; urgency=low

  * Initial packaging release.
    Closes: bug#674802.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 28 May 2012 01:11:35 +0200

=== debian/control ===
Source: sugar-toolkit-gtk3
Section: python
Priority: optional
Maintainer: Debian OLPC <debian-olpc-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: autotools-dev,
 devscripts,
 python (>= 2.6.5),
 cdbs (>= 0.4.97~),
 python-all-dev,
 debhelper,
 dh-buildinfo,
 libgtk-3-dev,
 libgdk-pixbuf2.0-dev,
 libsm-dev,
 libice-dev,
 libasound2-dev | libasound-dev,
 librsvg2-dev,
 python-gtk2-dev,
 libgirepository1.0-dev (>= 1.30.0),
 gettext,
 intltool,
 libxml-parser-perl,
 d-shlibs (>= 0.48)
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/collab-maint/sugar-toolkit-gtk3
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sugar-toolkit-gtk3.git
Homepage: http://wiki.sugarlabs.org/go/Sugar

Package: libsugarext0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${cdbs:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Recommends: libsugarext-data (= ${source:Version})
Pre-Depends: ${cdbs:Pre-Depends},
 ${misc:Pre-Depends}
Description: GTK3-based Sugar toolkit - runtime library
 Sugar is a desktop environment. It is conceived as a platform upon
 which children learn with Sugar Activities. The platform provides
 mechanisms for collaboration, reflection, and exploration. Sugar
 Activities cover a broad range of applications: browsing, drawing,
 composing, writing, programming, etc.
 .
 The sugar3 library contains a set of widgets to build HIG compliant
 applications and interfaces to interact with system services like
 presence and the datastore.
 .
 This package contains the runtime library.

Package: libsugarext-data
Section: misc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: GTK3-based Sugar toolkit - common files
 Sugar is a desktop environment. It is conceived as a platform upon
 which children learn with Sugar Activities. The platform provides
 mechanisms for collaboration, reflection, and exploration. Sugar
 Activities cover a broad range of applications: browsing, drawing,
 composing, writing, programming, etc.
 .
 The sugar3 library contains a set of widgets to build HIG compliant
 applications and interfaces to interact with system services like
 presence and the datastore.
 .
 This contains the common files (translations) used by the runtime
 library.

Package: libsugarext-dev
Section: libdevel
Architecture: any
Depends: ${cdbs:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
 libsugarext0 (= ${binary:Version}),
 gir1.2-sugarext-1.0 (= ${binary:Version})
Description: GTK3-based Sugar toolkit - develelopment files
 Sugar is a desktop environment. It is conceived as a platform upon
 which children learn with Sugar Activities. The platform provides
 mechanisms for collaboration, reflection, and exploration. Sugar
 Activities cover a broad range of applications: browsing, drawing,
 composing, writing, programming, etc.
 .
 The sugar3 library contains a set of widgets to build HIG compliant
 applications and interfaces to interact with system services like
 presence and the datastore.
 .
 This package contains the files needed for development.

Package: libsugarext-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
 libsugarext0 (= ${binary:Version}),
Description: GTK3-based Sugar toolkit - debugging symbols
 Sugar is a desktop environment. It is conceived as a platform upon
 which children learn with Sugar Activities. The platform provides
 mechanisms for collaboration, reflection, and exploration. Sugar
 Activities cover a broad range of applications: browsing, drawing,
 composing, writing, programming, etc.
 .
 The sugar3 library contains a set of widgets to build HIG compliant
 applications and interfaces to interact with system services like
 presence and the datastore.
 .
 This package contains detached debugging symbols.

Package: python-sugar3
Architecture: any
Depends: ${cdbs:Depends},
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
 gir1.2-sugarext-1.0 (= ${binary:Version}),
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Provides: ${cdbs:Provides},
 ${python:Provides}
Conflicts: ${cdbs:Conflicts}
Replaces: ${cdbs:Replaces}
Description: GTK3-based Sugar toolkit - Python bindings
 Sugar is a desktop environment. It is conceived as a platform upon
 which children learn with Sugar Activities. The platform provides
 mechanisms for collaboration, reflection, and exploration. Sugar
 Activities cover a broad range of applications: browsing, drawing,
 composing, writing, programming, etc.
 .
 The sugar3 library contains a set of widgets to build HIG compliant
 applications and interfaces to interact with system services like
 presence and the datastore.
 .
 This package contains Python bindings.

Package: gir1.2-sugarext-1.0
Section: introspection
Architecture: any
Depends: ${cdbs:Depends},
 ${gir:Depends},
 ${misc:Depends}
Description: GTK3-based Sugar toolkit - GObject introspection
 Sugar is a desktop environment. It is conceived as a platform upon
 which children learn with Sugar Activities. The platform provides
 mechanisms for collaboration, reflection, and exploration. Sugar
 Activities cover a broad range of applications: browsing, drawing,
 composing, writing, programming, etc.
 .
 The sugar3 library contains a set of widgets to build HIG compliant
 applications and interfaces to interact with system services like
 presence and the datastore.
 .
 This package can be used by other packages using the GIRepository
 format to generate dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright 2012 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for sugar-toolkit-gtk3
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

DEB_BUILDDIR = build
include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/python-autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

# TODO: convince upstream to install headers, and provide proper -dev package
stem = sugarext
abi = 0
lib = lib$(stem)
libpkg = lib$(stem)$(abi)
devpkg = lib$(stem)-dev
girpkg = gir1.2-$(stem)-1.0
datapkg = lib$(stem)-data
#binpkg = sugar-activity
binpkg = python-sugar3
pythonpkg = python-sugar3

DEB_UPSTREAM_URL = http://download.sugarlabs.org/sources/sucrose/glucose/$(DEB_UPSTREAM_PACKAGE)
DEB_UPSTREAM_TARBALL_EXTENSION = tar.bz2
DEB_UPSTREAM_TARBALL_MD5 = 8e4247b7920e0d99cbfe85f3def16c41

# Multiarch quirks
# (unneeded since Wheezy: can be dropped after Wheezy+1)
CDBS_PREDEPENDS_$(libpkg) = $(if $(DEB_HOST_MULTIARCH),multiarch-support)
DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

#DEB_AUTOMAKE_ARGS = --add-missing --copy

# Needed by upstream build process
CDBS_BUILD_DEPENDS += , libgtk-3-dev, libgdk-pixbuf2.0-dev, libsm-dev
CDBS_BUILD_DEPENDS += , libice-dev, libasound2-dev | libasound-dev
CDBS_BUILD_DEPENDS += , librsvg2-dev, python-gtk2-dev
CDBS_BUILD_DEPENDS += , libgirepository1.0-dev (>= 1.30.0)
CDBS_BUILD_DEPENDS += , gettext, intltool, libxml-parser-perl

# Needed (always/often/seldom) at runtime
#  * telepathy-* versioning follows http://wiki.sugarlabs.org/go/0.90/Notes
#  * zip, git and subversion are used in .xo format packaging routines
CDBS_DEPENDS_$(pythonpkg) = python-gi, python-dbus, python-cairo, python-telepathy, python-dateutil
gir-deps = glib-2.0 gtk-3.0 gconf-2.0 gdkpixbuf-2.0 pango-1.0 rsvg-2.0 sugarext-1.0
CDBS_DEPENDS_$(pythonpkg) += , $(patsubst %,$(comma) gir1.2-%,$(gir-deps))
CDBS_RECOMMENDS_$(pythonpkg) = unzip, telepathy-mission-control-5 (>= 1:5.6)
CDBS_RECOMMENDS_$(pythonpkg) += , telepathy-gabble (>= 0.10), telepathy-salut (>= 0.4)
CDBS_SUGGESTS_$(pythonpkg) = git-core, subversion, ttf-dejavu-extra

# Binary sugar-activity moved from sugar-tools-* to python-sugar3
# (unneeded since Wheezy: can be dropped after Wheezy+1)
non-gtk3-branches = 0.84 0.86 0.88 0.90 0.92 0.94
sugar-tools-old = $(foreach ver,$(non-gtk3-branches),$(comma) sugar-tools-$(ver))
CDBS_CONFLICTS_$(binpkg) = $(sugar-tools-old)
CDBS_REPLACES_$(binpkg) = $(sugar-tools-old)

# optimize linking
LDFLAGS += -Wl,-O1
# TODO: disallow undefined symbols
#LDFLAGS += -Wl,-z,defs
# link only when needed
LDFLAGS += -Wl,--as-needed

DEB_DH_INSTALL_ARGS_$(girpkg) = usr/lib/$(DEB_HOST_MULTIARCH)/girepository-1.0 usr/lib
DEB_DH_INSTALL_ARGS_$(datapkg) = usr/share/locale

# Drop created dir if empty to please lintian
binary-post-install/$(datapkg)::
	rmdir --ignore-fail-on-non-empty --parents $(DEB_DESTDIR)/usr/share/locale

# Let d-shlibs calculate development package dependencies
#  and handle shared library install
CDBS_BUILD_DEPENDS += , d-shlibs (>= 0.48)
binary-post-install/$(libpkg):: debian/stamp-local-shlibs-$(lib)
debian/stamp-local-shlibs-$(lib): binary-install/$(libpkg) debian/stamp-local-strip-la
	d-shlibmove --commit \
		--multiarch \
		--exclude-la --exclude-a \
		--override s/libcairo-gobject2-dev/libcairo-dev/ \
		--override s/libgdk-3-0-dev/libgtk-3-dev/ \
		--override s/libgtk-3-0-dev/libgtk-3-dev/ \
		--override s/librsvg-2-2-dev/librsvg2-dev/ \
		--devunversioned --ignorelibdep \
		--movedev debian/tmp/usr/share/gir-1.0 usr/share/ \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/$(lib).so
	touch $@
clean::
	rm -f debian/stamp-local-shlibs-$(lib)

# avoid unneeded .la file
binary-post-install/$(pythonpkg):: debian/stamp-local-strip-la
debian/stamp-local-strip-la: binary-install/$(pythonpkg)
	find debian -type f -name '*.la' -delete
	touch $@
clean::
	rm -f debian/stamp-local-strip-la

## sugar-toolkit-gtk3 0.98.7

=== debian/changelog ===
sugar-toolkit-gtk3 (0.98.7-1) unstable; urgency=low

  * New upstream release 
  * Adding myself to Uploaders
  * Bump Standars-Version to 3.9.4

 -- Santiago Ruano Rincón <santiago@debian.org>  Sat, 07 Sep 2013 01:01:07 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: python
 Priority: optional
 Maintainer: Debian OLPC <debian-olpc-devel@lists.alioth.debian.org>
-Uploaders: Jonas Smedegaard <dr@jones.dk>
-Build-Depends: autotools-dev,
+Uploaders: Jonas Smedegaard <dr@jones.dk>, Santiago Ruano Rincón <santiago@debian.org>
+Build-Depends: cdbs (>= 0.4.97~),
+ autotools-dev,
  devscripts,
- python (>= 2.6.5),
- cdbs (>= 0.4.97~),
+ python,
  python-all-dev,
  debhelper,
  dh-buildinfo,
@@ -21,8 +21,10 @@
  gettext,
  intltool,
  libxml-parser-perl,
+ gir1.2-gconf-2.0,
+ libgconf2-dev,
  d-shlibs (>= 0.48)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/git/collab-maint/sugar-toolkit-gtk3
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sugar-toolkit-gtk3.git
 Homepage: http://wiki.sugarlabs.org/go/Sugar

=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,6 @@
 
 DEB_UPSTREAM_URL = http://download.sugarlabs.org/sources/sucrose/glucose/$(DEB_UPSTREAM_PACKAGE)
 DEB_UPSTREAM_TARBALL_EXTENSION = tar.bz2
-DEB_UPSTREAM_TARBALL_MD5 = 8e4247b7920e0d99cbfe85f3def16c41
 
 # Multiarch quirks
 # (unneeded since Wheezy: can be dropped after Wheezy+1)
@@ -51,6 +50,7 @@
 CDBS_BUILD_DEPENDS += , librsvg2-dev, python-gtk2-dev
 CDBS_BUILD_DEPENDS += , libgirepository1.0-dev (>= 1.30.0)
 CDBS_BUILD_DEPENDS += , gettext, intltool, libxml-parser-perl
+CDBS_BUILD_DEPENDS += , gir1.2-gconf-2.0, libgconf2-dev
 
 # Needed (always/often/seldom) at runtime
 #  * telepathy-* versioning follows http://wiki.sugarlabs.org/go/0.90/Notes
@@ -79,6 +79,10 @@
 DEB_DH_INSTALL_ARGS_$(girpkg) = usr/lib/$(DEB_HOST_MULTIARCH)/girepository-1.0 usr/lib
 DEB_DH_INSTALL_ARGS_$(datapkg) = usr/share/locale
 
+DEB_DH_INSTALL_ARGS_$(libpkg) += usr/lib/$(DEB_HOST_MULTIARCH)/libsugar-eventcontroller.so.0.0.0
+DEB_DH_LINK_$(libpkg) += usr/lib/$(DEB_HOST_MULTIARCH)/libsugar-eventcontroller.so.0.0.0 usr/lib/$(DEB_HOST_MULTIARCH)/libsugar-eventcontroller.so.0
+DEB_DH_LINK_$(devpkg) += usr/lib/$(DEB_HOST_MULTIARCH)/libsugar-eventcontroller.so.0.0.0 usr/lib/$(DEB_HOST_MULTIARCH)/libsugar-eventcontroller.so
+
 # Drop created dir if empty to please lintian
 binary-post-install/$(datapkg)::
 	rmdir --ignore-fail-on-non-empty --parents $(DEB_DESTDIR)/usr/share/locale
@@ -95,6 +99,7 @@
 		--override s/libgdk-3-0-dev/libgtk-3-dev/ \
 		--override s/libgtk-3-0-dev/libgtk-3-dev/ \
 		--override s/librsvg-2-2-dev/librsvg2-dev/ \
+		--override s/libgconf-2-4-dev/libgconf2-dev/ \
 		--devunversioned --ignorelibdep \
 		--movedev debian/tmp/usr/share/gir-1.0 usr/share/ \
 		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/$(lib).so

=== debian/watch ===
# run the "uscan" command to check for upstream updates and more.
version=3
http://download.sugarlabs.org/sources/sucrose/glucose/sugar-toolkit-gtk3/sugar-toolkit-gtk3-(.*)\.tar\.bz2

## sugar-toolkit-gtk3 0.104.1

=== debian/changelog ===
sugar-toolkit-gtk3 (0.104.1-8) unstable; urgency=medium

  * Adapt packaging in maintainer mode when targeting experimental:
    + Switch git packaging branch.
    + Track any release (else only current branch).
  * Update package relations:
    + Relax to build-depend unversioned on libgirepository1.0-dev, and
      recommend unversioned telepathy-mission-control-5 and
      telepathy-salut: Needed versions satisfied even in oldstable.
    + Stop declare pre-dependency on multiarch-support: Handled by
      debhelper.
    + Tighten build-dependency on d-shlibs, and drop local overrides.
  * Stop manually remove .la file: Handled by d-shlibs.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 14 Jun 2015 15:09:29 -0500

sugar-toolkit-gtk3 (0.104.1-7) unstable; urgency=medium

  * Improve short descriptions.
  * Update package relations:
    + Relax to build-depend unversioned on debhelper: Version needed is
      satisfied even in oldstable.
  * Add patch cherry-picked upstream to avoid build MIME databases
    during upstream install routine.
    Closes: Bug#783890. Thanks to Martin Abente Lahaye.
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
  * Add lintian overrides regarding license in License-Reference field.
    See bug#786450.
  * Modernize git-buildpackage config: Avoid "git-" prefix.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 May 2015 11:18:07 +0200

sugar-toolkit-gtk3 (0.104.1-6) unstable; urgency=medium

  * Fix use canonical URL in Vcs-Git field.
  * Update package relations:
    + Fix stop suggest subversion: Unused upstream since ~2008.
    + Fix explicitly recommend shared-mime-info.
  * Modernize long descriptions.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 20 Apr 2015 21:38:33 +0200

sugar-toolkit-gtk3 (0.104.1-5) unstable; urgency=medium

  * Move packaging to Debian Sugar Team.
  * Update package relations:
    + Fix depend on python-gi-cairo.
      Thanks to Martin Abente and James Cameron.
  * Fix typo in libsugarext-dev short description.
    Closes: bug#747026. Thanks to Anders Jonsson.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 17 Apr 2015 10:34:39 +0200

sugar-toolkit-gtk3 (0.104.1-4) experimental; urgency=medium

  * Fix Recommend telepathy-gabble-legacy or older telepathy-gabble (not
    recent telepathy-gabble): Old Tubes API needed.
    Thanks to Tincho.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 11 Apr 2015 03:08:09 +0200

sugar-toolkit-gtk3 (0.104.1-3) experimental; urgency=medium

  * Bump debhelper compatibility level to 9: Needed for multiarch-
    compatible debug files.
  * Update package relations:
    + Fix depend on python-decorator.
    + Recommend alsa-util to ensure audio devices are unmuted at boot
      (see bug#581504).
    + Fix suggest ipython.
    + Stop suggest ttf-dejavu-extra: Font handled by sugar-session-*.
    + Suggest git (not git-core).
    + Fix tighten python-sugar3 to depend on same source-version of
      gir1.2-sugarext-1.0, and tighten gir1.2-sugarext-1.0 to break
      older python-sugar3 depending too relaxed on its GIR.
      Thanks to James Cameron.
    + Tighten build-dependency on debhelper: Needed for tightened
      compatibility level.
    + Build-depend only (tightened) on python.dev (not python-all-dev):
      Sufficient for architecture-independent python build.
  * Declare dh_install arguments in rules (not *.install files).
  * Fix install GIR files into multiarch subdir.
  * Fix do hash-bang massage forward-compatible with cdbs 0.5.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 09 Apr 2015 18:17:22 +0200

sugar-toolkit-gtk3 (0.104.1-2) experimental; urgency=medium

  * Update package relations:
    + Fix have libsugarext-dev depend on auto-resolved *-dev packages.
    + Fix relax python-sugar3 to depend unversioned on gir* package.
    + Fix tighten gir1.2-sugarext-1.0 to depend versioned on
      libsugarext0: API is unstable.
  * Fix mark python-sugar3 as architecture-independent.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 05 Apr 2015 21:08:58 +0200

sugar-toolkit-gtk3 (0.104.1-1) experimental; urgency=medium

  * Update package relations:
    + Stop build-depend on libgconf2-dev or python-gtk2-dev.
    + Build-depend on libxfixes-dev.
    + Depend on and recommend gir1.2-webkit2-3.0 or gir1.2-webkit2-4.0,
      and recommend (but not depend on) gir1.2-webkit-3.0 as ultimate
      fallback.
    + Build-depend on linux-libc-dev or hurd-dev.
    + Have python-sugar3 depend on git1.2-atspi-2.0.
  * Update copyright info:
    + Merge Files sections with same license.
    + Fix list Files section with joker above */Makefile.in section, to
      not override.
    + Fix extend coverage for autotools.
    + Extend coverage for upstream authors.
  * Fix tell git-buildpackage to use xz compression.
  * Unfuzz patch 2002.
  * Disable patch 2003: Possibly obsoleted by recent upstream changes.
  * Use proper hash-bang in Python script (Python Policy 0.9 §3.1).
    Thanks to lintian.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 03 Apr 2015 20:36:09 +0200

sugar-toolkit-gtk3 (0.98.7-2) unstable; urgency=medium

  * Update copyright info:
    + Update alternate git source URL.
    + Extend coverage for myself, and relicense packaging as GPL-3+.
    + Fix use SPDX shortname for X11 license.
      Thanks to Paul Richards Tagliamonte.
    + Fix extend coverage for autotools.
    + Fix update and extend coverage for upstream authors.
    + Fix cover BSD-licensed src/sugar3/dispatch/*.
  * Bump dephelper compatibility level to 8.
  * Declare compliance with Debian Policy 3.9.6.
  * Update Vcs-Git field to use canonical URL.
  * Update Vcs-Browser field to use cgit and https.
  * Wrap Uploaders field.
  * Track xz compressed upstream tarballs (favored over bzip2).
  * Rewrite README.source to emphasize that control.in file is *not* a
    show-stopper for contributions, and refer to wiki page for details.
  * Unfuzz patch 2003.
  * Update package relations:


=== debian/control ===
Source: sugar-toolkit-gtk3
Section: python
Priority: optional
Maintainer: Debian Sugar Team <pkg-sugar-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>,
 Santiago Ruano Rincón <santiago@debian.org>
Build-Depends: cdbs (>= 0.4.90~),
 autotools-dev,
 devscripts,
 python,
 python-dev (>= 2.3.5-7),
 debhelper,
 dh-buildinfo,
 libgtk-3-dev,
 libgdk-pixbuf2.0-dev,
 libsm-dev,
 libice-dev,
 librsvg2-dev,
 libxfixes-dev,
 libxi-dev,
 libx11-dev,
 gettext,
 intltool,
 libxml-parser-perl,
 x11proto-core-dev,
 libasound2-dev | libasound-dev,
 libgirepository1.0-dev,
 linux-libc-dev [linux-any],
 hurd-dev [hurd-any],
 d-shlibs (>= 0.59~)
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-sugar/sugar-toolkit-gtk3
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-sugar/sugar-toolkit-gtk3.git
Homepage: http://wiki.sugarlabs.org/go/Sugar

Package: libsugarext0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${cdbs:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Recommends: libsugarext-data (= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: Sugar Learning Platform - toolkit runtime library
 Sugar Learning Platform promotes collaborative learning through Sugar
 Activities that encourage critical thinking, the heart of a quality
 education.  Designed from the ground up especially for children, Sugar
 offers an alternative to traditional “office-desktop” software.
 .
 The sugar3 library contains a set of widgets to build HIG compliant
 applications and interfaces to interact with system services like
 presence and the datastore.
 .
 This package contains the runtime library.

Package: libsugarext-data
Section: misc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Sugar Learning Platform - toolkit common files
 Sugar Learning Platform promotes collaborative learning through Sugar
 Activities that encourage critical thinking, the heart of a quality
 education.  Designed from the ground up especially for children, Sugar
 offers an alternative to traditional “office-desktop” software.
 .
 The sugar3 library contains a set of widgets to build HIG compliant
 applications and interfaces to interact with system services like
 presence and the datastore.
 .
 This contains the common files (translations) used by the runtime
 library.

Package: libsugarext-dev
Section: libdevel
Architecture: any
Depends: ${cdbs:Depends},
 ${devlibs:Depends},
 ${misc:Depends},
 libsugarext0 (= ${binary:Version})
Description: Sugar Learning Platform - toolkit development files
 Sugar Learning Platform promotes collaborative learning through Sugar
 Activities that encourage critical thinking, the heart of a quality
 education.  Designed from the ground up especially for children, Sugar
 offers an alternative to traditional “office-desktop” software.
 .
 The sugar3 library contains a set of widgets to build HIG compliant
 applications and interfaces to interact with system services like
 presence and the datastore.
 .
 This package contains the files needed for development.

Package: libsugarext-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
 libsugarext0 (= ${binary:Version}),
Description: Sugar Learning Platform - toolkit debugging symbols
 Sugar Learning Platform promotes collaborative learning through Sugar
 Activities that encourage critical thinking, the heart of a quality
 education.  Designed from the ground up especially for children, Sugar
 offers an alternative to traditional “office-desktop” software.
 .
 The sugar3 library contains a set of widgets to build HIG compliant
 applications and interfaces to interact with system services like
 presence and the datastore.
 .
 This package contains detached debugging symbols.

Package: python-sugar3
Architecture: all
Depends: ${cdbs:Depends},
 ${misc:Depends},
 ${python:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Provides: ${cdbs:Provides},
 ${python:Provides}
Conflicts: ${cdbs:Conflicts}
Replaces: ${cdbs:Replaces}
Description: Sugar Learning Platform - toolkit Python bindings
 Sugar Learning Platform promotes collaborative learning through Sugar
 Activities that encourage critical thinking, the heart of a quality
 education.  Designed from the ground up especially for children, Sugar
 offers an alternative to traditional “office-desktop” software.
 .
 The sugar3 library contains a set of widgets to build HIG compliant
 applications and interfaces to interact with system services like
 presence and the datastore.
 .
 This package contains Python bindings.

Package: gir1.2-sugarext-1.0
Section: introspection
Architecture: any
Depends: ${cdbs:Depends},
 ${gir:Depends},
 ${misc:Depends}
Breaks: ${cdbs:Breaks}
Description: Sugar Learning Platform - toolkit GObject introspection
 Sugar Learning Platform promotes collaborative learning through Sugar
 Activities that encourage critical thinking, the heart of a quality
 education.  Designed from the ground up especially for children, Sugar
 offers an alternative to traditional “office-desktop” software.
 .
 The sugar3 library contains a set of widgets to build HIG compliant
 applications and interfaces to interact with system services like
 presence and the datastore.
 .
 This package can be used by other packages using the GIRepository
 format to generate dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright 2012, 2015 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for sugar-toolkit-gtk3
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

DEB_BUILDDIR = build
include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/python-autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

# TODO: convince upstream to install headers, and provide proper -dev package
stem = sugarext
pkgbranch = $(basename $(DEB_UPSTREAM_VERSION))
abi = 0
lib = lib$(stem)
pkg-lib = lib$(stem)$(abi)
pkg-dev = lib$(stem)-dev
pkg-gir = gir1.2-$(stem)-1.0
pkg-data = lib$(stem)-data
#pkg-bin = sugar-activity
pkg-bin = python-sugar3
pkg-python = python-sugar3

# Adapt packaging in maintainer mode when targeting experimental branch:
#  * Switch git packaging branch
#  * Track any release (else only current branch)
ifneq (,$(DEB_MAINTAINER_MODE))
experimental := $(strip $(if \
	$(shell dpkg-parsechangelog \
		| grep -x 'Distribution: \(experimental\|UNRELEASED\)'),\
	yes))
watch-limit = $(if $(experimental),,$(pkgbranch)\\.)
debian-branch = $(if $(experimental),master,master-$(pkgbranch))
clean::
	perl -i -pe 's/\([\d.\\]*\.\*\)/($(watch-limit).*)/' \
		debian/watch
	perl -i -pe 's/^debian-branch *= *\K.*/$(debian-branch)/' \
		debian/gbp.conf
endif

DEB_UPSTREAM_URL = http://download.sugarlabs.org/sources/sucrose/glucose/$(DEB_UPSTREAM_PACKAGE)
DEB_UPSTREAM_TARBALL_EXTENSION = tar.xz

# Build-depend unversioned on debhelper
#  TODO: Drop when adopted in cdbs
CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper

# Needed by upstream build process
#  * linux-libc-dev/hurd-dev needed by sugar-fatattr
dev-bdeps = gtk-3 gdk-pixbuf2.0 sm ice rsvg2 xfixes xi x11
bdeps = $(patsubst %,$(comma) lib%-dev,$(dev-bdeps))
bdeps +=, gettext, intltool, libxml-parser-perl, x11proto-core-dev
bdeps +=, libasound2-dev | libasound-dev, libgirepository1.0-dev
bdeps +=, linux-libc-dev [linux-any], hurd-dev [hurd-any]

# Needed (always/often/seldom) at runtime
#  * alsa-utils (mayby still) needed to unmute devices at boot (bug#581504)
#  * telepathy-* versioning follows http://wiki.sugarlabs.org/go/0.90/Notes
#  * shared-mime-info (update-mime-database) used in sugar.bundle.bundlebuilder
#  * unzip used in sugar3.bundle.bundle
#  * git used in sugar3.activity.bundlebuilder
#  * legacy/older telepathy-gabble needed for its Tubes ABI
#  * TODO: relax dependencies for our own GIR when its API is stable
gir-deps = glib-2.0 gtk-3.0 gconf-2.0 gdkpixbuf-2.0 pango-1.0 rsvg-2.0
gir-deps += gconf-2.0 atspi-2.0
python-deps = gi gi-cairo dbus cairo telepathy dateutil decorator
depends = $(patsubst %,$(comma) python-%,$(python-deps))
depends +=, $(patsubst %,$(comma) gir1.2-%,$(gir-deps))
depends +=, gir1.2-sugarext-1.0 (>= $(DEB_VERSION))
depends +=, gir1.2-sugarext-1.0 (<< $(DEB_VERSION).1~)
depends +=, gir1.2-webkit2-4.0 | gir1.2-webkit2-3.0 | gir1.2-webkit-3.0
depends-dev = $(pkg-gir) (= $(DEB_VERSION))
depends-gir = $(pkg-lib) (= $(DEB_VERSION))
recommends = unzip, telepathy-mission-control-5, alsa-utils
recommends +=, telepathy-gabble-legacy | telepathy-gabble (<< 0.17.25)
recommends +=, telepathy-salut, shared-mime-info
recommends +=, gir1.2-webkit2-4.0 | gir1.2-webkit2-3.0
suggests = git, ipython

CDBS_BUILD_DEPENDS +=, $(bdeps)
CDBS_DEPENDS_$(pkg-python) +=, $(depends)
CDBS_DEPENDS_$(pkg-dev) = $(depends-dev)
CDBS_DEPENDS_$(pkg-gir) = $(depends-gir)
CDBS_RECOMMENDS_$(pkg-python) = $(recommends)
CDBS_SUGGESTS_$(pkg-python) = $(suggests)

# Binary sugar-activity moved from sugar-tools-* to python-sugar3
#  * TODO: Drop when Jessie is stable
non-gtk3-branches = 0.84 0.86 0.88 0.90 0.92 0.94
obsoletes = $(foreach ver,$(non-gtk3-branches),$(comma) sugar-tools-$(ver))
CDBS_CONFLICTS_$(pkg-bin) = $(obsoletes)
CDBS_REPLACES_$(pkg-bin) = $(obsoletes)

# Avoid python-sugar3 depending too relaxed on its GIR
#  * TODO: Drop when Stretch is stable
CDBS_BREAKS_$(pkg-gir) = $(pkg-python) (<< 0.104.1)

# Multiarch quirks
DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

#DEB_AUTOMAKE_ARGS = --add-missing --copy

# optimize linking
LDFLAGS += -Wl,-O1
# TODO: disallow undefined symbols
#LDFLAGS += -Wl,-z,defs
# link only when needed
LDFLAGS += -Wl,--as-needed

DEB_DH_INSTALL_ARGS_ALL = --autodest
DEB_DH_INSTALL_ARGS_$(pkg-python) = usr/bin usr/lib/python*
DEB_DH_INSTALL_ARGS_$(pkg-gir) = usr/lib/$(DEB_HOST_MULTIARCH)/girepository-1.0
DEB_DH_INSTALL_ARGS_$(pkg-data) = usr/share/locale

# Drop created dir if empty to please lintian
binary-post-install/$(pkg-data)::
	rmdir --ignore-fail-on-non-empty --parents $(DEB_DESTDIR)/usr/share/locale

# Let d-shlibs calculate development package dependencies
#  and handle shared library install
CDBS_BUILD_DEPENDS += , d-shlibs (>= 0.59~)
binary-post-install/$(pkg-lib):: debian/stamp-local-shlibs-$(lib)
debian/stamp-local-shlibs-$(lib): binary-install/$(pkg-lib)
	d-shlibmove --commit \
		--multiarch \
		--exclude-la --exclude-a \
		--devunversioned --ignorelibdep \
		--movedev debian/tmp/usr/share/gir-1.0 usr/share/ \
		--extralib debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libsugar-eventcontroller.so \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/$(lib).so
	touch $@
clean::
	rm -f debian/stamp-local-shlibs-$(lib)

# Ensure proper hash-bang in Python script (Python Policy 0.9 §3.1)
#  * TODO: drop cdbs_python_binary fallback when cdbs 0.5 is stable
binary-fixup/$(pkg-python)::
	egrep -r -l -Z '^#! ?/usr/bin/(env )?python[[:print:]]*$$' \
		debian/$(cdbs_curpkg)/usr/bin/* \
		| xargs -r -0 perl -pi -e 's,^#! ?/usr/bin/(env )?python[[:print:]]*$$,#!/usr/bin/$(strip $(or $(cdbs_curpythonruntime),$(cdbs_python_binary))),'

=== debian/watch ===
# run the "uscan" command to check for upstream updates and more.
version=3
http://download.sugarlabs.org/sources/sucrose/glucose/sugar-toolkit-gtk3/sugar-toolkit-gtk3-(0.104\..*)\.tar\.(?:bz2|xz)

## sugar-toolkit-gtk3 0.106.0

=== debian/changelog ===
sugar-toolkit-gtk3 (0.106.0-1) unstable; urgency=medium

  [ upstream ]
  * New release.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 06 Jul 2015 19:53:05 -0500

sugar-toolkit-gtk3 (0.105.3-1) experimental; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  (0.104.1-9 changes re-applied)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 02 Jul 2015 18:26:23 -0500

sugar-toolkit-gtk3 (0.105.2-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Prepare for new major branch:
    + Switch packaging git branch.
    + Adapt watch file to track any branch.
  * Drop patch now included upstream, and unfuzz remaining patch.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 14 Jun 2015 15:29:45 -0500

sugar-toolkit-gtk3 (0.104.1-9) unstable; urgency=medium

  * Update package relations:
    + Favor Webkit over Webkit2: Webkit needed by Jarabe and Browse too.
    + Drop fallback-dependency on gir1.2-webkit2-3.0: Deprecated.
  * Relax watch file to cover any compression suffix.
  * Stop explicitly declare compression in git-buildpackage config.
  * Add lintian override regarding debhelper 9.
  * Fix rename locale aym→ay: ISO 639-1 favored over ISO 639-2.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 02 Jul 2015 17:05:44 -0500

## sugar-toolkit-gtk3 0.106.1

=== debian/changelog ===
sugar-toolkit-gtk3 (0.106.1-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update licensing info:
    + Merge pseudo-derived licenses (Use License-Grant to indicate
      difference in verbatim text).

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 14 Sep 2015 15:47:37 +0200

=== debian/rules ===
--- 
+++ 
@@ -69,12 +69,12 @@
 
 # Needed (always/often/seldom) at runtime
 #  * alsa-utils (mayby still) needed to unmute devices at boot (bug#581504)
-#  * telepathy-* versioning follows http://wiki.sugarlabs.org/go/0.90/Notes
 #  * shared-mime-info (update-mime-database) used in sugar.bundle.bundlebuilder
 #  * unzip used in sugar3.bundle.bundle
 #  * git used in sugar3.activity.bundlebuilder
 #  * legacy/older telepathy-gabble needed for its Tubes ABI
-#  * TODO: relax dependencies for our own GIR when its API is stable
+# TODO: relax dependencies for our own GIR when its API is stable
+# TODO: recommend Webkit2 and favor over Webkit when used by Browse and Jarabe
 gir-deps = glib-2.0 gtk-3.0 gconf-2.0 gdkpixbuf-2.0 pango-1.0 rsvg-2.0
 gir-deps += gconf-2.0 atspi-2.0
 python-deps = gi gi-cairo dbus cairo telepathy dateutil decorator
@@ -82,13 +82,12 @@
 depends +=, $(patsubst %,$(comma) gir1.2-%,$(gir-deps))
 depends +=, gir1.2-sugarext-1.0 (>= $(DEB_VERSION))
 depends +=, gir1.2-sugarext-1.0 (<< $(DEB_VERSION).1~)
-depends +=, gir1.2-webkit2-4.0 | gir1.2-webkit2-3.0 | gir1.2-webkit-3.0
+depends +=, gir1.2-webkit-3.0 | gir1.2-webkit2-4.0
 depends-dev = $(pkg-gir) (= $(DEB_VERSION))
 depends-gir = $(pkg-lib) (= $(DEB_VERSION))
 recommends = unzip, telepathy-mission-control-5, alsa-utils
 recommends +=, telepathy-gabble-legacy | telepathy-gabble (<< 0.17.25)
 recommends +=, telepathy-salut, shared-mime-info
-recommends +=, gir1.2-webkit2-4.0 | gir1.2-webkit2-3.0
 suggests = git, ipython
 
 CDBS_BUILD_DEPENDS +=, $(bdeps)
@@ -152,3 +151,8 @@
 	egrep -r -l -Z '^#! ?/usr/bin/(env )?python[[:print:]]*$$' \
 		debian/$(cdbs_curpkg)/usr/bin/* \
 		| xargs -r -0 perl -pi -e 's,^#! ?/usr/bin/(env )?python[[:print:]]*$$,#!/usr/bin/$(strip $(or $(cdbs_curpythonruntime),$(cdbs_python_binary))),'
+
+# Fix favor ISO 639-1 when differing from ISO 639-2
+binary-post-install/$(pkg-data)::
+	mv debian/$(cdbs_curpkg)/usr/share/locale/aym \
+		debian/$(cdbs_curpkg)/usr/share/locale/ay

=== debian/watch ===
# run the "uscan" command to check for upstream updates and more.
version=3
http://download.sugarlabs.org/sources/sucrose/glucose/sugar-toolkit-gtk3/sugar-toolkit-gtk3-(.*)\.tar\.(?:bz2|xz)
